<div class="header">
	<h5 class="header left">
		Редактирование текста
	</h5>
	<div class="clear"></div>
</div>

<div class="content" style="padding: 60px 35px 30px;">
	
	<div class="input margin">
		<div id="witget-field-text" class="field centered" contenteditable="true"></div>
	</div>

</div>

<div class="action">
	<div class="buttons wide fixed">
		<div id="witget-field-save" class="button green wide">Применить</div>
		<div onclick="closeEditFormValue();" class="button darkgrey close-modal">Отмена</div>
	</div>
</div>

<script>
// setTimeout(function() {
	$('body').removeClass('disable-select');

	// alert($('#modal-over .modal').offset().top + ' ' + $('#witget-field-text').offset().left)
	
	toolbarID = 'editing-toolbar' + (++Settings.textEditorID);

	toolbarElement = $(Styles.fn.tplObject['textEditor']).attr('id', toolbarID);
	toolbarElement.appendTo($('body'));

	ui.mountAll();
	ui.start();

	var toolbar = {
		id: toolbarID,
		element: toolbarElement,
		width: toolbarElement.outerWidth(),
		height: toolbarElement.outerHeight(),
	};

	toolbar.element.css({
		top: 135,
		left: ($(window).width()-530)/2,
		'z-index': 9999,
		position: 'fixed'
	}).fadeIn(200);

	toolbar.element.find('button[data-command="save"]').hide();
	toolbar.element.find('button[data-command="cancel"]').hide();
	toolbar.element.find('button[data-command="createMultiText"]').hide();

	editor = new wysihtml5.Editor($('#witget-field-text')[0], {
		toolbar: toolbar.id,
		parserRules: wysihtml5ParserRules
	});

	this.editor.on("load", function() {
		var _this = this;
		toolbar.element.fadeIn(200).show();
		toolbar.element.find('.editing-color .color-click').click(function(event) {
			value = $(this).data('value');
			if(value == '') {
				_this.composer.commands.remove("foreColorStyle");
			} else {
				_this.composer.commands.exec("foreColorStyle", value);
			}
			updateStates();
			event.preventDefault();
			event.stopPropagation();
		});
		toolbar.element.find('.editing-bgcolor .color-click').click(function() {
			value = $(this).data('value');
			if(value == '') {
				_this.composer.commands.remove("bgColorStyle");
			} else {
				_this.composer.commands.exec("bgColorStyle", value);
			}
			updateStates();
			event.preventDefault();
			event.stopPropagation();
		});
	});

	composer = this.editor.composer;
	function updateStates() {
		if (composer.commands.state('createLink')) {
			link = $(composer.commands.state('createLink')).offset();
			offset = toolbar.element.position();
			toolbar.element.find('.editing-link-popup').css({
				left: link.left - offset.left - 20,
            	top: link.top - offset.top + 10
			});
		} else {
			toolbar.element.find('.editing-link-popup').hide();
		}

		if (composer.commands.state('bgColorStyle')) {
			toolbar.element.find('.editing-bgcolor .button').addClass('active');
		} else {
			toolbar.element.find('.editing-bgcolor .button').removeClass('active');
		}

		if (composer.commands.state('foreColorStyle')) {
			toolbar.element.find('.editing-color .button').addClass('active');
		} else {
			toolbar.element.find('.editing-color .button').removeClass('active');
		}

		formatBlock = composer.commands.state('formatBlock');
		if(!formatBlock) {
			formatBlock = 'p'
		} else {
			formatBlock = formatBlock[0].tagName.toLowerCase();
			formatBlock = (formatBlock == 'div') ? 'p' : formatBlock;
		}

		// toolbar.element.find('.editing-header .button').addClass('active');
		toolbar.element.find('.editing-header .list li').removeClass('active');
		toolbar.element.find('.editing-header .list [data-wysihtml5-command-value="'+formatBlock+'"]').addClass('active');

		// console.log('-formatBlock-', formatBlock)//, formatBlock[0].tagName, formatBlock);

	};

	editor.on("interaction", function() {
		updateStates();
	});
// }, 1000);
	function closeEditFormValue() {
		editor.destroy();
		toolbar.element.fadeOut(200).removeAttr('style');
		toolbar.element.find('button[data-command="save"]').show();
		toolbar.element.find('button[data-command="cancel"]').show();
		toolbar.element.find('.editing-bgcolor .color-click').off('click');
		toolbar.element.find('.editing-color .color-click').off('click');
		toolbar.element.remove();
		// Modal.hide();
	}
</script>
